Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.java.comparators
Class JavaElementComparator

    java.lang.Object
      org.netbeans.api.java.comparators.JavaElementComparator

All Implemented Interfaces:
  Comparator

    public abstract class JavaElementComparator

extends Object
implements Comparator

Field Summary
`static int` | `EXCEPTIONS`
`static int` | `ISCLASS`
`static int` | `MODIFIERS`
`static int` | `NAME`
`static int` | `PARAM_MODIFIERS`
`static int` | `PARAM_NAME`
`static int` | `PARAM_TYPE`
`static int` | `PARAMETERS`
`static int` | `RETURN_TYPE`
`static int` | `SOURCE`
`protected int` | `type`
`static int` | `TYPE`

Constructor Summary
`protected` | `JavaElementComparator(int t)`

Method Summary
`abstract int` | `compare(Object o1, Object o2)`
`static Comparator` | `createClassComparator(boolean source, int[] ordering)`
`static Comparator` | `createComparator(Class elementClass, boolean source, int[] ordering)`
`static Comparator` | `createComparator(Object element, boolean source, int[] ordering)`
`static Comparator` | `createConstructorComparator(boolean source, int[] ordering)`
`static Comparator` | `createFiledComparator(boolean source, int[] ordering)`
`static Comparator` | `createIdentifierComparator(boolean source)`
`static Comparator` | `createMethodComparator(boolean source, int[] ordering)`
`static Comparator` | `createMParameterComparator(boolean source, int[] ordering)`
`static Comparator` | `createTypeComparator(boolean source)`
`boolean` | `equals(Object ob)`
`protected int` | `getType()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected int type

### SOURCE

    public static final int SOURCE

See Also:
  Constant Field Values

### RETURN_TYPE

    public static final int RETURN_TYPE

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### PARAMETERS

    public static final int PARAMETERS

See Also:
  Constant Field Values

### EXCEPTIONS

    public static final int EXCEPTIONS

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### MODIFIERS

    public static final int MODIFIERS

See Also:
  Constant Field Values

### ISCLASS

    public static final int ISCLASS

See Also:
  Constant Field Values

### PARAM_NAME

    public static final int PARAM_NAME

See Also:
  Constant Field Values

### PARAM_MODIFIERS

    public static final int PARAM_MODIFIERS

See Also:
  Constant Field Values

### PARAM_TYPE

    public static final int PARAM_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JavaElementComparator

    protected JavaElementComparator(int t)

Method Detail

### getType

    protected int getType()

### compare

    public abstract int compare(Object o1,
                                Object o2)

  Specified by:
    `compare` in interface `Comparator`

### equals

    public boolean equals(Object ob)

  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`

### createIdentifierComparator

    public static Comparator createIdentifierComparator(boolean source)

### createTypeComparator

    public static Comparator createTypeComparator(boolean source)

### createClassComparator

    public static Comparator createClassComparator(boolean source,
                                                   int[] ordering)

### createConstructorComparator

    public static Comparator createConstructorComparator(boolean source,
                                                         int[] ordering)

### createFiledComparator

    public static Comparator createFiledComparator(boolean source,
                                                   int[] ordering)

### createMParameterComparator

    public static Comparator createMParameterComparator(boolean source,
                                                        int[] ordering)

### createMethodComparator

    public static Comparator createMethodComparator(boolean source,
                                                    int[] ordering)

### createComparator

    public static Comparator createComparator(Object element,
                                              boolean source,
                                              int[] ordering)

### createComparator

    public static Comparator createComparator(Class elementClass,
                                              boolean source,
                                              int[] ordering)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.